Hold my hand.  Topic is solved

A place where newbies can post without (much) fear of reprisal. All mission posts should still go in the applicable forum.
Forum rules
Older HTS users: Be nice to the new people.

NEW USERS: This is NOT the place to post about missions! Refer to "Missions" category.

Hold my hand.

Post by Misanthropydotexe on Mon Jun 23, 2014 11:51 pm
([msg=81655]see Hold my hand.[/msg])

So I'm wanting to learn programming. Started messing around with some noobling C++ book. So first I need a program to put it all in. Apparently Gedit is useless for this, because you have to be a super 1337 h4x0r just to install the appropriate plugins (all attempts to follow directions for installing them have been fruitless).

So I got Code::Block. And, to make the program as useless as possible right out of the gate, it has no compiler built in (I know absolutely nothing about programming, but what use is a program designed for programming if IT CAN'T COMPILE). Aaaanyway, so I get the free Intel one. Set it to use it. And run a test.

I copy/paste a sample "hello world" program...

Code: Select all
// my first program in C++
#include <iostream>

int main()
{
  std::cout << "Hello World!";
}


... that I found on the interwebs into it to make sure it all works.

It doesn't.

Code: Select all
sh: 1: /home/misanthropy-dot-exe/Documents/Delete Me: Permission denied

Process returned 126 (0x7E     execution time : 0.001 s
Press ENTER to continue.


So I guess I need you guys to hold on my hand. In fact, drive to me, I will hand you my computer, and hope you install it for me. Apparently I am unable to manage even the most simple of directions.

EDIT: Since I'm displaying my unbelievable ineptitude, I'd also like to say that I want an avatar pic. I just saw someone that was able to get one before even making a single post (because they had it with their first post) but I am unable to get one. There is no option to upload a pic in the "Edit Avatar" part of my profile (weird that the word "edit" is there when I can't seem to actually change anything). So I figured maybe if I went to the main page to where the pictures are. Figured that might be it. But, limdis isn't listed there. Which means, unless I'm missing something, that he hasn't uploaded a pic. Despite this, he seems to have one. So I've concluded that isn't it. So how are people getting avatars?
My armor is Contempt. My shield is Disgust. My sword is Hatred.
Respect not pity or weakness, for they are a disease which makes sick the strong
User avatar
Misanthropydotexe
Experienced User
Experienced User
 
Posts: 86
Joined: Tue Jun 03, 2014 10:54 pm
Blog: View Blog (0)


Re: Hold my hand.

Post by Zaytrox on Tue Jun 24, 2014 1:47 am
([msg=81660]see Re: Hold my hand.[/msg])

I'm assuming you're on Linux, so I use Geany as my text editor. No idea if it's the best, but I like it - it's very similar to Notepad++ if you've used that before. Can be installed easily through the software centre or "sudo apt-get install geany".

As for the avatar, you trying to add it on the forum profile page, or just the HTS profile page? Because when I added it to my HTS profile page it also set it as my forum one.
Basic: (1) (2) (3) (4) (5) (6) (7) (8) (9) (10) (11)
Realistic: (1) (2) (3) (4) (5) (6) (7)
User avatar
Zaytrox
New User
New User
 
Posts: 16
Joined: Sun Jun 08, 2014 1:10 pm
Blog: View Blog (0)


Re: Hold my hand.  Topic is solved

Post by pretentious on Tue Jun 24, 2014 2:37 am
([msg=81662]see Re: Hold my hand.  Topic is solved[/msg])

Misanthropydotexe wrote:Apparently Gedit is useless for this, because you have to be a super 1337 h4x0r just to install the appropriate plugins (all attempts to follow directions for installing them have been fruitless).

meh
http://i.imgur.com/beXYadq.png
Sometimes IDE's complicate things. The only thing you're missing in gedit is the intelli-whatever and the the compile button
Misanthropydotexe wrote:So I got Code::Block. And, to make the program as useless as possible right out of the gate, it has no compiler built in (I know absolutely nothing about programming, but what use is a program designed for programming if IT CAN'T COMPILE). Aaaanyway, so I get the free Intel one. Set it to use it. And run a test.

sudo apt-get install build-essential
i think that gives you g++ and all those important standard binary things lol
Misanthropydotexe wrote:So I guess I need you guys to hold on my hand. In fact, drive to me, I will hand you my computer, and hope you install it for me. Apparently I am unable to manage even the most simple of directions.

People that are new to computers have asked me what program I use for programming and web dev. My answers are always a bit muddled.
I've used codeblocks and It worked pretty well for the basic stuff that I was doing. Also used eclipse which a lot of people would probs call the an industry standard, definityl for Java.
I would reccomend you get used to IDE's but I'll also say if you can't use a standard text editor, it says a lot about you. Yeah, I'm looking at you, mr ASP.net(former lecturer of min). God forbid we need to edit an xml config file by hand whoaw! ;)

-- Tue Jun 24, 2014 6:41 pm --

oh yeah as for the display pic, yeah upload or choose a pic on your main hts profile and it will be used for the forum one as well. I assume the functionality is there since I changed recently.
Goatboy wrote:Oh, that's simple. All you need to do is dedicate many years of your life to studying security.

IF you feel like exchanging ASCII arrays, let me know ;)
pretentious wrote:Welcome to bat country
User avatar
pretentious
Contributor
Contributor
 
Posts: 568
Joined: Wed Mar 03, 2010 12:48 am
Blog: View Blog (0)


Re: Hold my hand.

Post by cyberdrain on Tue Jun 24, 2014 9:55 am
([msg=81667]see Re: Hold my hand.[/msg])

I found that with or without sudo 'chmod +x ./filename' works wonders getting pesky programs to run. Especially since you're getting a 'permission denied' error. Make sure you got execute permissions on your file-system too. Try 'cat /etc/fstab' and/or 'cat /etc/mtab' and look for any mount options like 'noexec'. Check if that's the same file-system you're running the program from. If it is, change it: sudo nano '/etc/fstab', remove any 'noexec', add 'user,exec' as options if not there yet and save the file. Reboot and try again.
Free your mind / Think clearly
User avatar
cyberdrain
Contributor
Contributor
 
Posts: 646
Joined: Sun Nov 27, 2011 1:58 pm
Blog: View Blog (0)


Re: Hold my hand.

Post by Misanthropydotexe on Tue Jun 24, 2014 11:47 am
([msg=81678]see Re: Hold my hand.[/msg])

Edit: My frustration with technology seems to have erased my etiquette. Thank you everybody for your help and suggestions. I'm currently on the verge of becoming Amish. I just updated from my iPhone 4s to an HTC One M8. This phone is hideously useless as a phone. No alert for new texts. Anti-intuitive interface (like setting an alarm, connecting to my wifi, and every other feature that you could easily find on any other phone, I actually need to use Google to find out how to do.) Just a really REALLY bad day between me and technology. Sorry. Thanks again for all of the help, and hopefully everything comes together soon before I put on the black hat (and not the kind usually referred to in hacker circles). Sincerely, Jedidiah.exe

Frustrated update:

So, I hate computers, programming, and everyone that is capable of it.

I tried all of this nonsense again. Says it can't find my intel c++ compiler. I open my downloads and reactivate my intel compiler DL. It opens up Gedit with a ton of illegible nonsense.

Code: Select all
#!/bin/sh

# Copyright (c) 2012-2014 Intel Corporation. All rights reserved.
# This script installs Intel(R) Software Development Products.

IRC_URL="https://registrationcenter.intel.com"
PRODUCT_ID=l_ccompxe_2013_sp1.3.174
download_url=
irc_url=
wget_secure_protocol=auto

# strings section
bootstrap_error_prefix="ERROR:"
ja_bootstrap_error_prefix="エラー:"

bootstrap_prerequisites_checking_message="Before proceeding, the installer will check few prerequisites..."
ja_bootstrap_prerequisites_checking_message="続行する前に、インストーラーは必要条件をチェックします..."

bootstrap_prerequisites_checking_tool_message=" - Checking for"
ja_bootstrap_prerequisites_checking_tool_message=" - チェックしています:"

bootstrap_prerequisites_unable_to_find_tool_begin_message="Cannot find"
ja_bootstrap_prerequisites_unable_to_find_tool_begin_message="見つかりません"

bootstrap_prerequisites_unable_to_find_tool_end_message="Please, install it and restart the installation."
ja_bootstrap_prerequisites_unable_to_find_tool_end_message="見つからないツールをインストールしてから、再度インストールを実行してください。"

bootstrap_prerequisites_failed="[failed]"
ja_bootstrap_prerequisites_failed="[失敗]"

bootstrap_prerequisites_success="[success]"
ja_bootstrap_prerequisites_success="[成功]"

bootstrap_download_filename_error_message="Filename to download is not specified."
ja_bootstrap_download_filename_error_message="ダウンロードするファイル名が指定されていません。"

bootstrap_verify_checksum_filename_error_message="Filename to verify checksum is not specified."
ja_bootstrap_verify_checksum_filename_error_message="チェックサムを確認するファイル名が指定されていません。"

bootstrap_wget_protocol_message="Wget security protocol is:"
ja_bootstrap_wget_protocol_message="Wget セキュリティー・プロトコル:"

bootstrap_checking_irc_message="Checking Intel(R) Software Development Products Registration Center availability..."
ja_bootstrap_checking_irc_message="インテル(R) ソフトウェア開発製品レジストレーション・センターに接続しています..."

bootstrap_irc_is_not_reachable_error_1="Unable to connect to Intel(R) Software Development Products Registration Center"
bootstrap_irc_is_not_reachable_error_2="Some possible causes:"
bootstrap_irc_is_not_reachable_error_3="    1) Internet connection not found"
bootstrap_irc_is_not_reachable_error_4="        (Verify that you are connected to the internet.)"
bootstrap_irc_is_not_reachable_error_5="    2) Proxy settings are incorrect"
bootstrap_irc_is_not_reachable_error_6="        (If you are behind a proxy, please make sure that both of your http_proxy"
bootstrap_irc_is_not_reachable_error_7="         and https_proxy environment variables are set correctly.)"
bootstrap_irc_is_not_reachable_error_8="    3) Firewall is on. Please make sure the firewall settings leave ports"
bootstrap_irc_is_not_reachable_error_9="       80 and 443 opened."

ja_bootstrap_irc_is_not_reachable_error_1="インテル(R) ソフトウェア開発製品レジストレーション・センターに接続できません"
ja_bootstrap_irc_is_not_reachable_error_2="次の原因が考えられます。"
ja_bootstrap_irc_is_not_reachable_error_3="    1) インターネット接続が見つからない"
ja_bootstrap_irc_is_not_reachable_error_4="        (インターネットに接続しているかを確認してください。)"
ja_bootstrap_irc_is_not_reachable_error_5="    2) プロキシー設定が不正"
ja_bootstrap_irc_is_not_reachable_error_6="        (プロキシーを使用している場合は、http_proxy と https_proxy 環境変数が"
ja_bootstrap_irc_is_not_reachable_error_7="         適切に設定されていることを確認してください。)"
ja_bootstrap_irc_is_not_reachable_error_8="    3) ファイアウォールが有効 ファイアウォールの設定で、ポート番号 80 と 443 "
ja_bootstrap_irc_is_not_reachable_error_9="       が開いていることを確認してください。"

bootstrap_temporary_files_location_message="Temporary files will be downloaded to:"
ja_bootstrap_temporary_files_location_message="一時ファイルは次の場所にダウンロードされます:"

bootstrap_downloading_package_content_file_message="Downloading the package content file, this might take several minutes...     "
ja_bootstrap_downloading_package_content_file_message="パッケージ・コンテンツ・ファイルをダウンロードしています。しばらくお待ちください...     "

bootstrap_failed_to_download_package_content_file_message="Cannot download package content file."
ja_bootstrap_failed_to_download_package_content_file_message="パッケージ・コンテンツ・ファイルをダウンロードできません。"

bootstrap_downloading_installer_message="Downloading the installer, this might take several minutes...     "
ja_bootstrap_downloading_installer_message="インストーラーをダウンロードしています。しばらくお待ちください...     "

bootstrap_failed_to_download_installer_message="Cannot download the installer."
ja_bootstrap_failed_to_download_installer_message="インストーラーをダウンロードできません。"

bootstrap_installer_checksum_verification_error_message="Installer checksum verification failed."
ja_bootstrap_installer_checksum_verification_error_message="インストーラーのチェックサム検証に失敗しました。"

bootstrap_installer_redownload_message="The installer will be downloaded again."
ja_bootstrap_installer_redownload_message="インストーラーは再度ダウンロードされます。"

bootstrap_failed_to_extract_installer="Failed to extract installer."
ja_bootstrap_failed_to_extract_installer="インストーラーの展開に失敗しました。"

bootstrap_welcome_message="Welcome to the online installer for"
ja_bootstrap_welcome_message="オンライン・インストーラーへようこそ: "

string_variables_names="bootstrap_error_prefix bootstrap_prerequisites_checking_message bootstrap_prerequisites_checking_tool_message bootstrap_prerequisites_unable_to_find_tool_begin_message bootstrap_prerequisites_unable_to_find_tool_end_message bootstrap_prerequisites_failed bootstrap_prerequisites_success bootstrap_download_filename_error_message bootstrap_verify_checksum_filename_error_message bootstrap_wget_protocol_message bootstrap_checking_irc_message bootstrap_irc_is_not_reachable_error_1 bootstrap_irc_is_not_reachable_error_2 bootstrap_irc_is_not_reachable_error_3 bootstrap_irc_is_not_reachable_error_4 bootstrap_irc_is_not_reachable_error_5 bootstrap_irc_is_not_reachable_error_6 bootstrap_irc_is_not_reachable_error_7 bootstrap_irc_is_not_reachable_error_8 bootstrap_irc_is_not_reachable_error_9 bootstrap_temporary_files_location_message bootstrap_downloading_package_content_file_message bootstrap_failed_to_download_package_content_file_message bootstrap_downloading_installer_message bootstrap_failed_to_download_installer_message bootstrap_installer_checksum_verification_error_message bootstrap_installer_redownload_message bootstrap_failed_to_extract_installer bootstrap_welcome_message"

DIE ()
{
    if [ "$1" != "" ]; then
        echo "${bootstrap_error_prefix} $1"
    fi

    exit 1
}

check_tools ()
{
    local tools_to_check="wget awk tar cksum"
    echo "${bootstrap_prerequisites_checking_message}"
    for tool in $tools_to_check ; do
        echo -n "${bootstrap_prerequisites_checking_tool_message} '$tool'..."
        which $tool 2>/dev/null 1>&2
        if [ $? -ne 0 ]; then
            echo " ${bootstrap_prerequisites_failed}"
            DIE "${bootstrap_prerequisites_unable_to_find_tool_begin_message} '$tool'. ${bootstrap_prerequisites_unable_to_find_tool_end_message}"
        else
            echo " ${bootstrap_prerequisites_success}"
        fi
    done
}

touch_space ()
{

    local dir_to_check=$1
    local dir_end_path='hags7823782318#@123kjhknmnzxmnz'
    local err=0

    if [ -d "$dir_to_check" ] ; then
        if [ -w "$dir_to_check" ] ; then
            mkdir "$dir_to_check/$dir_end_path" > /dev/null 2>&1
            err=$?
            if [ "$err" = "0" ] ; then
                rmdir "$dir_to_check/$dir_end_path" > /dev/null 2>&1
            fi
        else
            err=1
        fi
    else
        touch_space "`dirname $dir_to_check`" "$dir_end_path"
        err=$?
    fi

    return $err
}

parse_cmd_parameters ()
{
    while [ $# -gt 0 ] ; do
    case "$1" in
        --silent|-s)
            # silent install
            if [ -z "$2" ]; then
                echo "Error: Please provide silent configuration file."
                exit 1
            fi
            if [ ! -e "$2" ]; then
                echo "Error: specified silent configuration file does not exist."
                exit 1
            fi
            exe=`basename $2 2>/dev/null`
            dir=`dirname $2 2>/dev/null`
            if echo $dir | grep -q -s ^/ || echo $dir | grep -q -s ^~ ; then
                # absolute path
                silent_params="--silent $dir/$exe"
                silent_cfg="$dir/$exe"
            else
                # relative path
                silent_params="--silent $runningdir/$dir/$exe"
                silent_cfg="$runningdir/$dir/$exe"
            fi
            if [ ! -f "$silent_cfg" ]; then
                echo "Error: \"$silent_cfg\" doesn't look like a proper silent configuration file."
                echo "Please make sure that this file exists and run installation again."
                exit 1
            fi
            skip_uid_check="yes"
            shift
            ;;
        --help|-h)
            echo "This script installs Intel(R) Software Development Products."
            echo ""
            echo "Usage: install.sh [options]"
            echo ""
            echo "    -h, --help                         print this message"
            echo "    -v, --version                      print version information"
            echo "    -t, --tmp-dir [FOLDER]             set custom temporary folder"
            echo "    -D, --download-tmp-dir [FOLDER]    set custom download folder"
            echo "    -o, --download-only                download package only"
            echo "    -s, --silent [FILE]                run install silently, with settings in the"
            echo "                                       configuration file"
            echo "    -d, --duplicate [FILE]             run install interactively, record the user"
            echo "                                       input into the configuration file"
            echo "    --cli-mode                         run install in command-line mode"
            echo "    --gui-mode                         run install in graphical mode"
            echo "    --user-mode                        run install with current user privileges"

            echo "Copyright (C) 2012-2013 Intel Corporation. All rights reserved."
            exit 0
            ;;
        --version|-v)
            # show version info
            echo "Product name: Intel(R) C++ Composer XE 2013 SP1"
            echo "Package id: l_ccompxe_2013_sp1.3.174"
            exit 0
            ;;
        --duplicate|-d)
            # duplicate install
            if [ -z "$2" ]; then
                echo "Error: Please provide silent configuration file."
                exit 1
            fi
            exe=`basename $2 2>/dev/null`
            dir=`dirname $2 2>/dev/null`
            if echo $dir | grep -q -s ^/ || echo $dir | grep -q -s ^~ ; then
                # absolute path
                duplicate_params="--duplicate $dir/$exe"
                duplicate_cfg="$dir/$exe"
            else
                # relative path
                duplicate_params="--duplicate $runningdir/$dir/$exe"
                duplicate_cfg="$runningdir/$dir/$exe"
            fi
            shift
            ;;
        --download-url)
            if [ -z "$2" ]; then
                echo "Error: download url must be specified."
                exit 1
            fi
            download_url="$2"
            echo "$download_url" | grep "\/$" > /dev/null 2>&1
            if [ "$?" = "1" ]; then
                download_url="${download_url}/"
            fi

            shift
            ;;
         --irc-url)
            if [ -z "$2" ]; then
                echo "Error: IRC url must be specified."
                exit 1
            fi
            irc_url="$2"

            shift
            ;;
        --download-tmp-dir|-D)
            if [ -z "$2" ]; then
                echo "Error: Please provide download temporal folder."
                exit 1
            fi
            download_tmp="$2"
            if [ ! -d "$download_tmp" ]; then
                echo "Error: $download_tmp doesn't look like a proper folder."
                echo "Please make sure that this folder exists and run installation again."
                exit 1
            fi

            shift
            ;;

        --tmp-dir|-t)
            if [ -z "$2" ]; then
                echo "Error: Please provide temporal folder."
                exit 1
            fi
            user_tmp="$2"
            if [ ! -d "$user_tmp" ]; then
                echo "Error: $user_tmp doesn't look like a proper folder."
                echo "Please make sure that this folder exists and run installation again."
                exit 1
            fi

            shift
            ;;
   
        --cli-mode)
            # start CLI installer
            start_cli_install="yes"
            params="$params --cli-mode"
            ;;

        --gui-mode)
            # start GUI installer (default behavior)
            ;;

        --download-only|-o)
            params="$params --download-only"
            ;;
        *)
            params="$params $1"
            #check for LANG option
            is_lang=$(echo $1 | grep "LANG")
            if [ ! -z "$is_lang" ]; then
                user_lang=$(echo $1 | cut -d= -f2)
            fi
            ;;
        esac
        shift
    done
}

check_runningdir()
{
    if [ -n "$(echo "$fullpath" | grep " ")" ] ; then
        echo "Error: Incorrect path to installation script. Installation can not be started"
        echo "if the path contains space symbols."
        echo ""
        echo "Quitting! Press \"Enter\" to terminate install."
        read DONTCARE
        exit 1
    fi

    if [ -n "$(echo "$fullpath" | egrep -e ':' -e '~' -e '&' -e '%' -e '#' -e '@' -e '\[' -e '\]' -e '\$' -e '=' -e '\)' -e '\(' -e '\*')" ] ; then
        echo "Error: Incorrect path to installation script. Installation can not be started"
        echo "if the path contains ':, ~, @, #, %, &, [, ], $, =, ), (, *' symbols."
        echo ""
        echo "Quitting! Press \"Enter\" to terminate install."
        read DONTCARE
        exit 1
    fi
}

download_file ()
{
    local file_name=$1
    if [ -z "$file_name" ]; then
        DIE "${bootstrap_download_filename_error_message}"
    fi
    wget --secure-protocol=$wget_secure_protocol --progress=dot --continue --directory-prefix=$download_tmp -O $file_name "${download_url}${file_name}" 2>&1 | grep --line-buffered "%" | sed -u -e "s/\.//g" | sed -u -e "s/,//g" | awk -W interactive '{printf("\b\b\b\b%4s", $2)}' 2>>$log_file
    if [ $? -ne 0 ]; then
        return 0
    fi
    if [ -f $download_tmp/$file_name ]; then
        local file_size=""
        file_size=$(stat -c %s $file_name)
        if [ "$file_size" != "0" ]; then
            return 0
        fi
    fi
    return 1
}

verify_checksum ()
{
    local file_name=$1
    if [ -z "$file_name" ]; then
        DIE "${bootstrap_verify_checksum_filename_error_message}"
    fi
    local cksum=$(cat product.xml | grep $file_name | sed 's/.*cksum="\([0-9]*\)".*/\1/' 2>/dev/null)
    local real_cksum=$(cksum $file_name | cut -d ' ' -f1 2>/dev/null)
    if [ "$cksum" != "$real_cksum" ]; then
        return 1
    else
        return 0
    fi
}

check_irc_availability ()
{
    for protocol in "SSLv3" "SSLv2" "TLSv1" ; do
        wget --secure-protocol=$protocol $irc_url --spider -T 3 -t 3 $irc_url >> $log_file 2>&1
        if [ $? -eq 0 ]; then
            wget_secure_protocol=$protocol
            echo "${bootstrap_wget_protocol_message} '$wget_secure_protocol'" >> $log_file
            break
        fi
    done
    if [ "$wget_secure_protocol" = "" ]; then
        return 1
    fi
    wget --spider --secure-protocol=$wget_secure_protocol -T 3 -t 3 http://registrationcenter-download.intel.com/ >> $log_file 2>&1
    return $?
}

################################################################################
# Script Entry Point
################################################################################

if [ "x$LANG" = "xja_JP.UTF-8" ] || [ "x$LANG" = "xja_JP.utf8" ] ; then
    for var_name in $string_variables_names ; do
        eval $var_name=\${ja_$var_name}
    done
fi

# detect bash script source execution
if [ -z "$(echo "$0" | grep 'online')" ]; then
    echo "Script is running sourced..."
    echo "ERROR: This script should be called directly."
   
    exit 1
fi

start_cli_install=no
thisexec=`basename $0`
thisdir=`dirname $0`
runningdir=`pwd`

if echo $thisdir | grep -q -s ^/ || echo $thisdir | grep -q -s ^~ ; then
# absolute path
   fullpath="$thisdir"
else
# relative path
   fullpath="$runningdir/$thisdir"
fi
check_runningdir

parse_cmd_parameters $@
if [ -z "$user_tmp" ]; then
    if [ -z "$TMPDIR" ]; then
        user_tmp="/tmp"
    else
        if [ -d "$TMPDIR" ]; then
            user_tmp=$TMPDIR
        else
            user_tmp="/tmp"
        fi
    fi
fi
if [ -z "$download_tmp" ]; then
    download_tmp=$user_tmp
fi

echo "${bootstrap_welcome_message} Intel(R) C++ Composer XE 2013 SP1."
echo "--------------------------------------------------------------------------------"
   
check_tools

[ -z "$HOSTNAME" ] && HOSTNAME=$(hostname);
log_file=intel.bootstrap.$USER.${HOSTNAME}_$(date +%m.%d.%H.%M.%S.%Y).log

touch_space $user_tmp
check=$?
if [ "$check" != "0" ]; then
    echo "Error: No write permissions to \"$user_tmp\" temporary folder."
    echo "Please fix the permissions or provide another temporary folder."
    echo "To provide another temporary folder please run installation"
    echo "with \"--tmp-dir [FOLDER]\" parameter."
    exit 1
fi

touch_space $download_tmp
check=$?
if [ "$check" != "0" ]; then
    echo "Error: No write permissions to \"$download_tmp\" temporary download folder."
    echo "Please fix the permissions or provide another temporary download folder."
    echo "To provide another temporary folder please run installation"
    echo "with \"--download-tmp-dir [FOLDER]\" parameter."
    exit 1
fi

log_file="$user_tmp/$log_file"
download_tmp=${download_tmp}/${USER}/${PRODUCT_ID}
mkdir -p $download_tmp

CDIR=`pwd`
cd $download_tmp

if [ "$download_url" = "" ]; then
    if [ "$irc_url" = "" ]; then
        irc_url=$IRC_URL
    fi
    download_url="${irc_url}/regcenter/getonlinepackagerooturl.aspx?id=${PRODUCT_ID}&file="

    echo "--------------------------------------------------------------------------------"
    echo -n "${bootstrap_checking_irc_message}"
    check_irc_availability
    if [ "$?" != "0" ]; then
        echo " ${bootstrap_prerequisites_failed}"
        echo "${bootstrap_irc_is_not_reachable_error_1}"
        echo ""
        echo "${bootstrap_irc_is_not_reachable_error_2}"
        echo ""
        echo "${bootstrap_irc_is_not_reachable_error_3}"
        echo "${bootstrap_irc_is_not_reachable_error_4}"
        echo ""
        echo "${bootstrap_irc_is_not_reachable_error_5}"
        echo "${bootstrap_irc_is_not_reachable_error_6}"
        echo "${bootstrap_irc_is_not_reachable_error_7}"
        echo ""
        echo "${bootstrap_irc_is_not_reachable_error_8}"
        echo "${bootstrap_irc_is_not_reachable_error_9}"
        exit 1
    else
        echo " ${bootstrap_prerequisites_success}"
    fi
fi

system_cpu=`uname -m`
if [ "$system_cpu" = "ia64" ]; then
    my_arch="ia64"
elif [ "$system_cpu" = "x86_64" ]; then
    my_arch="intel64"
else
    my_arch="ia32"
fi
pset_archive_name="pset_${my_arch}.tgz"
echo "--------------------------------------------------------------------------------"
echo "${bootstrap_temporary_files_location_message}$download_tmp"
echo -n "${bootstrap_downloading_package_content_file_message}"
rm -rf product.xml 2>/dev/null
download_file "product.xml"
if [ "$?" != "0" ]; then
    echo " ${bootstrap_prerequisites_failed}"
    echo "${bootstrap_error_prefix} ${bootstrap_failed_to_download_package_content_file_message}"
    exit 1
else
    echo " ${bootstrap_prerequisites_success}"
fi

echo "--------------------------------------------------------------------------------"
echo -n "Downloading the installer, this might take several minutes...     "
download_file "$pset_archive_name"
if [ "$?" != "0" ]; then
    echo " ${bootstrap_prerequisites_failed}"
    echo "${bootstrap_error_prefix} ${bootstrap_failed_to_download_installer_message}"
    exit 1
else
    echo " ${bootstrap_prerequisites_success}"
fi

verify_checksum "$pset_archive_name"
if [ "$?" != "0" ]; then
    echo ""
    echo "${bootstrap_error_prefix} ${bootstrap_installer_checksum_verification_error_message}"
    echo -n "${bootstrap_installer_redownload_message}     "
    rm -rf $pset_archive_name 2>/dev/null

    download_file "$pset_archive_name"
    if [ "$?" != "0" ]; then
        echo " ${bootstrap_prerequisites_failed}"
        echo "${bootstrap_error_prefix} ${bootstrap_failed_to_download_installer_message}"
        exit 1
    else
        verify_checksum "$pset_archive_name"
        if [ "$?" != "0" ]; then
            echo ""
            echo "${bootstrap_error_prefix} ${bootstrap_installer_checksum_verification_error_message}"
            exit 1
        fi
        echo " ${bootstrap_prerequisites_success}"
    fi
fi

tar xzf "$pset_archive_name" 2>/dev/null
if [ "$?" != "0" ]; then
    echo "${bootstrap_error_prefix} ${bootstrap_failed_to_extract_installer}"
    exit 1
fi

if [ "$start_cli_install" = "yes" ]; then
    ./install.sh --download-url "$download_url" --tmp-dir $user_tmp --wget-secure-protocol $wget_secure_protocol $silent_params $duplicate_params $params
else
    ./install_GUI.sh --download-url "$download_url" --tmp-dir $user_tmp --wget-secure-protocol $wget_secure_protocol $silent_params $duplicate_params $params
fi
exit_code=$?
cd $CDIR
exit $exit_code


So, you have to already be a programmer to learn programming? This circular logic frustrates me more than you guys can imagine. There are no directions on the internet for how to properly install this thing, beyond Ubuntu 11.something. And they all have links for a download (apparently back then the damn thing actually installed itself instead of sending you a text file) that no longer exists. My hatred and rage is a profound thing.
My armor is Contempt. My shield is Disgust. My sword is Hatred.
Respect not pity or weakness, for they are a disease which makes sick the strong
User avatar
Misanthropydotexe
Experienced User
Experienced User
 
Posts: 86
Joined: Tue Jun 03, 2014 10:54 pm
Blog: View Blog (0)


Re: Hold my hand.

Post by cyberdrain on Tue Jun 24, 2014 12:28 pm
([msg=81679]see Re: Hold my hand.[/msg])

Did you try using pretentious' method? Just run 'g++ <filename_here.cpp>' and try to run that. Better make sure there are no problems with creating basic code/programs and only after that try setting up a more advanced IDE.

Also, that file is a batch script, just save it as 'test.sh', then 'chmod +x ./test.sh' and lastly './test.sh' if you want to run it. I'm not sure what it does, haven't looked through it.
Free your mind / Think clearly
User avatar
cyberdrain
Contributor
Contributor
 
Posts: 646
Joined: Sun Nov 27, 2011 1:58 pm
Blog: View Blog (0)


Re: Hold my hand.

Post by Misanthropydotexe on Tue Jun 24, 2014 4:16 pm
([msg=81685]see Re: Hold my hand.[/msg])

I did. My terminal showed that it was unpacking and innstalling a bunch of stuff.

As for the second code I posted, that's from Intel and it's supposed to be a compiler.

I'll try running it like you said when I get home. Thanks again.

WTHeck EDIT: Okay, so I've ran it with those commands like you said Cyberdrain. Does not display that it does anything. I go back and download a different file (I DLed one that allows me to pick and choose what I want, because I absolutely hate trying to DL one thing and getting five hundred features I don't want installed). So I go with the whole package. And I'm following the installation instructions from the PDF as supplied by Intel.

Unpack into a directory. Check. (It gave me a command that did nothing that I could see, (tar -xzvf name-of-download) to do this, so I just manually unpacked it).
Go to directory in terminal. Check.
./install.sh Doesn't work. "Please make sure the package was unpacked with proper permissions. Quitting." Proper permissions? Google has suggested that I do the "chmod" thing you were talking about with the previous file to the install.sh file. I do it. It doesn't say it does anything. It doesn't give me an error. It just goes to the next line. And then I get the same error message when attempting to run it.


Another update: So I just opened the install.sh to dig through the code to find the error message I'm getting. I found it but I don't understand anything that's going on. Anyway, so here is the code. Maybe this will tell you guys why this won't install. The last line is the error message that I'm getting.
Code: Select all
{
    # check for zip feature
    if [ -f "$fullpath/pset/$pset_archive_name" ]; then
        old_structure_type="no"
    fi

    if [ "$old_structure_type" = "yes" ]; then
        check_free_space $user_tmp $require_tmp_space_org
        # check the platform support
        if [ ! -r "$fullpath" ] || [ ! -x "$fullpath" ]; then
            echo "The installation script is lauched from the directory which does not have required access permissions."
            echo "Please copy the package to other location which is accessible by $USER user";
            echo
            echo "Quitting!"
            exit $EXIT_CODE_ERROR
        fi;
        if [ ! -f "$fullpath/pset/$my_arch/install_gui.$my_arch" ] && [ ! -f "$fullpath/pset/$my_arch/install_cli.$my_arch" ]; then
            if [ ! -d "$fullpath/pset/$my_arch" ]; then
                echo "The package does not support the platform it being run on."
                echo "Please check to be sure the correct architecture of package has been downloaded."
                echo ""
                echo "Quitting!"
                exit $EXIT_CODE_ERROR
            fi
            if [ ! -x "$fullpath/pset/$my_arch" ]; then
                if [ "yes" = "$skip_gui_install" ]; then
                    echo "Can not execute $fullpath/pset/$my_arch/install_cli.$my_arch: permission denied."
                else
                    echo "Can not execute $fullpath/pset/$my_arch/install_gui.$my_arch: permission denied."
                fi
                echo "Please check the package was unpacked with proper permissions."


Final edit: Needed to clean up all of my "f bombs" as well as the rage induced sarcasm. Really lost my head there. Frustrated.
My armor is Contempt. My shield is Disgust. My sword is Hatred.
Respect not pity or weakness, for they are a disease which makes sick the strong
User avatar
Misanthropydotexe
Experienced User
Experienced User
 
Posts: 86
Joined: Tue Jun 03, 2014 10:54 pm
Blog: View Blog (0)



Return to NZone

Who is online

Users browsing this forum: No registered users and 0 guests